Terminology - Classify Condition

Classifies a condition, problem, or diagnosis.

Guides

See the Programming Guide for general Terminology API information.

Endpoints

POST /terminology/v1/classify/condition

POST /terminology/v1/classify/condition/batch

Input

The body specifies the input coding. See the Classify API Overview for details.

Supported Code Systems

The input must be from one of the following code systems:

  • ICD-10-CM
  • ICD-9-CM-Diagnosis
  • SNOMED

Body Parameters

code string (required)

Code value.

system string (required)

The source code system (as a name or URL).

display string

Display string.

Request Headers

Header Value
x-api-key YOUR_API_KEY, obtained from the Developer Portal
content-type application/json
accept application/json

Output

The output provides a set of classifications based on domain. See the Classify API Overview for details.

ccsrCategory CodeableConcept

Clinically-relevant category based on AHRQ Clinical Classifications.

ccsrCategory.coding collection

A list of codings.

ccsrCategory.coding[n].code string

Code value.

ccsrCategory.coding[n].system string

The source code system (as a URL).

ccsrCategory.coding[n].display string

Display string.

ccsrDefaultInpatient Coding

Clinically-relevant category based on AHRQ Clinical Classifications. Prioritizes inpatient-relevant category.

ccsrDefaultInpatient.code string

Code value.

ccsrDefaultInpatient.system string

The source code system (as a URL).

ccsrDefaultInpatient.display string

Display string.

ccsrDefaultOutpatient Coding

Clinically-relevant category based on AHRQ Clinical Classifications. Prioritizes outpatient-relevant category.

ccsrDefaultOutpatient.code string

Code value.

ccsrDefaultOutpatient.system string

The source code system (as a URL).

ccsrDefaultOutpatient.display string

Display string.

cciChronic boolean
cciAcute boolean
hccCategory CodeableConcept

Medicare Risk Adjustment category based on latest version of ICD10 grouping system from CMS.

hccCategory.coding collection

A list of codings.

hccCategory.coding[n].code string

Code value.

hccCategory.coding[n].system string

The source code system (as a URL).

hccCategory.coding[n].display string

Display string.

behavioral boolean

Indicator of behavioral and mental health-related conditions based on grouping multiple CCSR categories.

substance boolean

Indicator of substance use and abuse-related conditions based on grouping multiple CCSR categories.

socialDeterminant boolean

Indicator of social determinants of health based on grouping multiple CCSR categories.

covid19Condition string (categorical)

One of: Confirmed, Suspected, Exposure, Encounter, SignsAndSymptoms, NonspecificRespiratoryViralInfection. Based on proprietary value sets developed from WHO, CDC, SNOMED, and AMA coding advisories.

Details

The following sections provide additional details about the message handling.

Batch Mode

For batch mode, specify the body parameters in the items field, as explained in Batch Operations. The output data will then contain an items array with the usual classify output for each item.

Example

Try It
Try out the operations, with examples, in the Developer Portal Sandbox.
Sample Classify Input
{
    "code": "J45.50",
    "system": "ICD-10-CM"
}      
Sample Classify Response
{
    "ccsrCategory": {
        "coding": [
            {
                "system": "CCSR Category",
                "code": "RSP009",
                "display": "Asthma"
            }
        ]
    },
    "ccsrDefaultInpatient": {
        "system": "Default CCSR Category",
        "code": "RSP009",
        "display": "Asthma"
    },
    "ccsrDefaultOutpatient": {
        "system": "Default Outpatient CCSR Category",
        "code": "RSP009",
        "display": "Asthma"
    },
    "cciAcute": false,
    "cciChronic": true,
    "hccCategoryLatest": null,
    "behavioral": false,
    "substance": false,
    "socialDeterminant": false,
    "covid19Condition": null
}            

For additional examples, or to try out the API live, see the Developer Portal Sandbox